
data_path="/path/to/dir"  # replace to your data path

save_dir="/path/to/dir"
tmp_save_dir="/path/to/dir"
tsb_dir="/path/to/dir"

n_gpu=1

MASTER_PORT=10091

finetune_mol_model="/path/to/ckpt"
finetune_pocket_model="/path/to/ckpt"



weight_path="/path/to/dir" 







batch_size=48
batch_size_valid=64
epoch=400
dropout=0.0
warmup=0.06
update_freq=1
dist_threshold=8.0
recycling=3
lr=1e-4


export NCCL_ASYNC_ERROR_HANDLING=1
export OMP_NUM_THREADS=1
CUDA_VISIBLE_DEVICES="6" python -m torch.distributed.launch --nproc_per_node=$n_gpu --master_port=$MASTER_PORT $(which unicore-train) $data_path --user-dir ./unimol --train-subset train --valid-subset valid \
       --num-workers 8 --ddp-backend=c10d \
       --task binding_affinity --loss in_batch_softmax --arch binding_affinity_test  \
       --optimizer adam --adam-betas "(0.9, 0.99)" --adam-eps 1e-6 --clip-norm 1.0 \
       --max-pocket-atoms 511 \
       --test-model True \
       --lr-scheduler polynomial_decay --lr $lr --warmup-ratio $warmup --max-epoch $epoch --batch-size $batch_size --batch-size-valid $batch_size_valid \
       --update-freq $update_freq --seed 1 \
       --tensorboard-logdir $tsb_dir \
       --log-interval 100 --log-format simple \
       --validate-interval 1 \
       --best-checkpoint-metric valid_auc --patience 2000 --all-gather-list-size 2048000 \
       --dist-threshold $dist_threshold --recycling $recycling \
       --save-dir $save_dir --tmp-save-dir $tmp_save_dir --keep-last-epochs 5 \
       --find-unused-parameters \
       --maximize-best-checkpoint-metric \
       --finetune-mol-model $finetune_mol_model \
       --finetune-pocket-model $finetune_pocket_model \
       --finetune-from-model $weight_path \
       --fp16 --fp16-init-scale 4 --fp16-scale-window 256 \